> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ascendott.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List of plans

> Returns all plans from the system that the caller can access.



## OpenAPI

````yaml api-reference/openapi.json get /plans
openapi: 3.0.3
info:
  title: AscendOTT Aggregator Plans API
  description: API description for aggregators to interact with AscendOTT Sites
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: '{scheme}://{domain}/api/v1/aggregator'
    variables:
      scheme:
        enum:
          - https
          - http
        default: https
        description: Protocol
      domain:
        default: api.example.com
        description: Client API host (e.g., api.client.com)
security:
  - ApiKeyAuth: []
tags:
  - name: Plans
  - name: Subscriptions
  - name: Catalogs
paths:
  /plans:
    get:
      tags:
        - Plans
      summary: List of plans
      description: Returns all plans from the system that the caller can access.
      parameters:
        - name: limit
          in: query
          description: The maximum number of results to return
          schema:
            type: integer
            format: int32
            minimum: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Plan'
              examples:
                success:
                  value:
                    - planCode: 68b74fd80e51671c21e46913
                      planTitle: Standard
                      planType: svod
                      description: This is an invisible plan for Aggre Gator Ltd.
                      identifier: aggre_6months_399
                      billingFrequency:
                        value: months
                        is_recurring: false
                        multiplier: '1'
                        _id: 68b74fd80e51671c21e46914
                      canDownload: false
                      startDate: '2025-09-03'
                      endDate: null
                      noEndDate: true
                      contentIds:
                        - 66fb907f70381480c75da8cc
                        - 66fb9b8970381480c75daaa3
                        - 66fba41d70381480c75dabfc
                        - 66fbaa6370381480c75dacfc
                        - 66fbb8af70381480c75daf52
                      countries:
                        - countryCode: IN
                          costPerBilling: '399'
        '403':
          description: Forbidden — missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                missing:
                  value:
                    error: x-api-key missing
                incorrect:
                  value:
                    error: x-api-key is incorrect
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                error:
                  value:
                    error: Internal Server Error
components:
  schemas:
    Plan:
      type: object
      properties:
        planCode:
          type: string
        planTitle:
          type: string
        planType:
          type: string
        description:
          type: string
          nullable: true
        identifier:
          type: string
        billingFrequency:
          type: object
          properties:
            value:
              type: string
            is_recurring:
              type: boolean
            multiplier:
              type: string
            _id:
              type: string
        canDownload:
          type: boolean
        startDate:
          type: string
          format: date
        endDate:
          type: string
          format: date
          nullable: true
        noEndDate:
          type: boolean
        contentIds:
          type: array
          items:
            type: string
        countries:
          type: array
          items:
            type: object
            properties:
              countryCode:
                type: string
              costPerBilling:
                type: string
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````